Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Help compiling latest PCSX2 in Ubuntu 20.10 Groovy Gorilla
#1
Hello,

I'm trying to compile latest PCSX2 build in Ubuntu 20.10 Groovy Gorilla by following the guide
https://github.com/PCSX2/pcsx2/wiki/Installing-on-Linux

I'm interested in the very latest code because of specific gamepad support so I have to compile it on my own.
https://github.com/PCSX2/pcsx2/commit/51...19dd33aee8

There is also
https://wiki.pcsx2.net/PCSX2_Documentati...g_on_Linux
but I'm following the steps in the first link so...


Code:
git clone https://github.com/PCSX2/pcsx2.git
sudo dpkg --add-architecture i386
sudo apt install cmake gcc-multilib g++-multilib
sudo apt install libaio-dev:i386 libbz2-dev:i386 libcggl:i386 libegl1-mesa-dev:i386 libglew-dev:i386 libgles2-mesa-dev:i386 libgtk2.0-dev:i386 libjpeg-dev:i386 libsdl1.2-dev:i386 libwxgtk3.0-gtk3-dev:i386 nvidia-cg-toolkit zlib1g-dev:i386 libsdl2-dev:i386 libjack-jackd2-dev:i386 libportaudiocpp0:i386 portaudio19-dev:i386 liblzma-dev:i386 libsoundtouch-dev:i386 libxml2-dev:i386 libpcap0.8-dev:i386

All packages install successfully but libglew-dev:i386


Code:
sudo apt install libglew-dev:i386
Reading package lists... Done
Building dependency tree     
Reading state information... Done
E: Unable to locate package libglew-dev:i386

In
https://launchpad.net/ubuntu/+source/glew
there is 2.1.0-4 for Groovy Gorilla
where I can download
libglew-dev_2.1.0-4_i386.deb

However,
Code:
sudo gdebi Downloads/libglew-dev_1.13.0-2_i386.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
This package is uninstallable
Conflicts with the installed package 'libglew-dev'


I have searched for the topic but the different messages in forums and websites are not conclusive. So any piece of advice on how to move on is much appreciated.

edit: compile attempt

Still, I have tried to compile and, as expected, different sorts of errors...


Code:
./build.sh
Forcing cross compilation.
Building pcsx2 with -DCMAKE_BUILD_PO=FALSE -GNinja -DCMAKE_TOOLCHAIN_FILE=cmake/linux-compiler-i386-multilib.cmake
-- The C compiler identification is GNU 10.2.0
-- The CXX compiler identification is GNU 10.2.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Building with GNU GCC
-- BuildType set to Devel by default
-- Cross compilation is enabled.
-- Compiling a i386 build on a x86_64 host.
-- Found ALSA: /usr/lib/i386-linux-gnu/libasound.so (found version "1.2.3.2")
-- Found PCAP: /usr/lib/i386-linux-gnu/libpcap.so 
-- Performing Test PCAP_LINKS_SOLO
-- Performing Test PCAP_LINKS_SOLO - Success
-- Looking for pcap_get_pfring_id
-- Looking for pcap_get_pfring_id - not found
-- Found LibXml2: /usr/lib/i386-linux-gnu/libxml2.so (found version "2.9.10")
-- Found Freetype: /usr/lib/i386-linux-gnu/libfreetype.so (found version "2.10.2")
-- Found Gettext: /usr/bin/msgmerge (found version "0.19.8.1")
-- Found Git: /usr/bin/git (found version "2.27.0")
-- Looking for lzma_auto_decoder in /usr/lib/i386-linux-gnu/liblzma.so
-- Looking for lzma_auto_decoder in /usr/lib/i386-linux-gnu/liblzma.so - found
-- Looking for lzma_easy_encoder in /usr/lib/i386-linux-gnu/liblzma.so
-- Looking for lzma_easy_encoder in /usr/lib/i386-linux-gnu/liblzma.so - found
-- Looking for lzma_lzma_preset in /usr/lib/i386-linux-gnu/liblzma.so
-- Looking for lzma_lzma_preset in /usr/lib/i386-linux-gnu/liblzma.so - found
-- Found LibLZMA: /usr/lib/i386-linux-gnu/liblzma.so (found version "5.2.4")
-- Found OpenGL: /usr/lib/i386-linux-gnu/libOpenGL.so 
-- Found ZLIB: /usr/lib/i386-linux-gnu/libz.so (found version "1.2.11")
-- Found PNG: /usr/lib/i386-linux-gnu/libpng.so (found version "1.6.37")
-- Could NOT find Vtune (missing: VTUNE_LIBRARIES VTUNE_INCLUDE_DIRS)
-- Found wxWidgets: -L/usr/lib/i386-linux-gnu;-pthread;;;-lwx_baseu-3.0;-lwx_gtk3u_core-3.0;-lwx_gtk3u_adv-3.0 (found version "3.0.5")
-- Found Libc: /usr/lib/i386-linux-gnu/librt.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libm.so 
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.2")
-- Checking for module 'samplerate'
--  Found samplerate, version 0.1.9
-- Found libsamplerate: /usr/include 
-- Found PulseAudio: /usr/lib/i386-linux-gnu/libpulse.so (found version "13.99.0")
-- EGL found
-- X11_XCB not found (miss lib)
-- AIO found
-- LIBUDEV found
-- PORTAUDIO found
-- SOUNDTOUCH found
-- SDL2 found
-- Found X11: /usr/include 
-- Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/i386-linux-gnu/libXext.so
-- Looking for XOpenDisplay in /usr/lib/i386-linux-gnu/libX11.so;/usr/lib/i386-linux-gnu/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Some or all of the gtk libraries were not found. (missing: GTK3_GTK_LIBRARY GTK3_GTK_INCLUDE_DIR GTK3_GDK_INCLUDE_DIR GTK3_GDKCONFIG_INCLUDE_DIR GTK3_GDK_LIBRARY)
-- Found the following HarfBuzz libraries:
--  HarfBuzz (required): /usr/lib/i386-linux-gnu/libharfbuzz.so
-- Found HarfBuzz: /usr/include/harfbuzz (found version "2.6.4")
CMake Warning at cmake/SearchForStuff.cmake:223 (message):
  ENABLE_TESTS was on but gtest was not found, unit tests will not be enabled
Call Stack (most recent call first):
  CMakeLists.txt:32 (include)


CMake Error at cmake/SearchForStuff.cmake:266 (message):
  No system or bundled fmt was found
Call Stack (most recent call first):
  CMakeLists.txt:32 (include)


-- Configuring incomplete, errors occurred!
See also "/home/user/pcsx2/build/CMakeFiles/CMakeOutput.log".
See also "/home/user/pcsx2/build/CMakeFiles/CMakeError.log".
ninja: error: loading 'build.ninja': No such file or directory
ninja: error: loading 'build.ninja': No such file or directory


So issues with gtk, gtest, fmt, build.ninja... which are a bit hard to understand and solve.
Reply

Sponsored links

#2
I'm not sure how good the Ubuntu Betas are supported, but for 20.04 there's a specific chapter on the site you've posted:
https://github.com/PCSX2/pcsx2/wiki/Inst...buntu-2004

Your post indicates you took another path, probably give this one a try?
Tired of always changing your PCSX2 Configuration for different games?

Check this out: https://forums.pcsx2.net/Thread-PCSX2-MultiConfigTool
Reply
#3
Hi @XXXBold Thanks for your feedback. So useful because the info in your link has allowed me to compile PCSX2. So the info in the wiki seems to be a bit misleading as it is pointing in two directions.

For anyone's reference the steps in the guide are valid for Ubuntu 20.10 with the only exception that in the 2nd step with
Code:
sudo apt install cmake [...]

I had to install as well
Code:
libjack-dev:i386

Here's a screenshot:

[Image: Screenshot-from-2021-03-01-20-32-20.png]

The only problem... wine is not working anymore... Seems to be broken. I'll just figure it out.

Code:
wine --version
Command 'wine' not found, but can be installed with:
sudo apt install wine              # version 5.0-3ubuntu1, or
sudo apt install wine-development  # version 5.5-5ubuntu1

So thanks for your message!
Reply




Users browsing this thread: 1 Guest(s)